Docs
Browser

Browser Act

POST/browser/sessions/{id}/actions
AuthorizationBearer <token>

Enter your API key with the bc_ prefix

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

actions*array<>

Actions run in order; each has a type (see the browser sessions guide). Actions that work in a page accept tab_id to run in that open tab without switching to it. evaluate runs expression in the page main world for up to 10 seconds and returns at most 100 KB of JSON.

Items1 <= items <= 25
stop_on_error?
Defaulttrue
timeout_ms?
Rangevalue <= 60000
Default30000

Response Body

application/json

curl -X POST "https://example.com/browser/sessions/string/actions" \  -H "Content-Type: application/json" \  -d '{    "actions": [      {}    ]  }'
{  "data": {    "blocked": {},    "new_files": [      {}    ],    "page": {},    "results": [      {}    ],    "tabs": [      {}    ],    "usage": {}  },  "success": true}